from fastapi import Body
from pydantic import BaseModel


class ListDto(BaseModel):
    page: int = Body(description="页数", default=1)
    size: int = Body(description="页面大小", default=10)
    keyword: str = Body(description="查询关键字", default="")
    order_by_wrong_rate: bool = Body(alias="orderByWrongRate", description="按错误率排序", default=True)
